instagram 06
15 个接口
GETget user brief
GET https://dkai.store/api/v1/instagram/v3/get_user_brief7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
user_id | query | 必填 | |
username | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_user_brief?user_id=VALUE&username=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget user followers
GET https://dkai.store/api/v1/instagram/v3/get_user_followers7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
username | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_user_followers?username=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget user following
GET https://dkai.store/api/v1/instagram/v3/get_user_following7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
username | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_user_following?username=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget user former usernames
GET https://dkai.store/api/v1/instagram/v3/get_user_former_usernames7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
username | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_user_former_usernames?username=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget user highlights
GET https://dkai.store/api/v1/instagram/v3/get_user_highlights7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
username | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_user_highlights?username=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget user id by username
GET https://dkai.store/api/v1/instagram/v3/get_user_id_by_username7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
username | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_user_id_by_username?username=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget user posts
GET https://dkai.store/api/v1/instagram/v3/get_user_posts7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
username | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_user_posts?username=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget user profile
GET https://dkai.store/api/v1/instagram/v3/get_user_profile7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
username | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_user_profile?username=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget user reels
GET https://dkai.store/api/v1/instagram/v3/get_user_reels7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
username | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_user_reels?username=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget user stories
GET https://dkai.store/api/v1/instagram/v3/get_user_stories7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
username | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_user_stories?username=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETget user tagged posts
GET https://dkai.store/api/v1/instagram/v3/get_user_tagged_posts7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
username | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/get_user_tagged_posts?username=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETmedia id to shortcode
GET https://dkai.store/api/v1/instagram/v3/media_id_to_shortcode2 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
media_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/media_id_to_shortcode?media_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETsearch by coordinates
GET https://dkai.store/api/v1/instagram/v3/search_by_coordinates7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
latitude | query | 必填 | |
longitude | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/search_by_coordinates?latitude=VALUE&longitude=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETsearch hashtags
GET https://dkai.store/api/v1/instagram/v3/search_hashtags7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
query | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/search_hashtags?query=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETsearch users
GET https://dkai.store/api/v1/instagram/v3/search_users7 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
query | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/instagram/v3/search_users?query=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。